View=>XML View broken
Description

Trying the View=>XML View menu gives an NPE. Seems to be broken in Vergil, as far back as 61608:

java.lang.NullPointerException

at ptolemy.actor.gui. TextEditorTableau$Factory.create Tableau(TextEditorTableau.java:281)

at ptolemy.actor.gui. TableauFrame$ViewMenuListener.actionPerformed(TableauFrame.java:1540)
at org.kepler.gui.MenuMapper$1.actionPerformed(MenuMapper.java:386)

at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2028)

at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2351)

at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)

at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)

at javax.swing.AbstractButton.doClick(AbstractButton.java:389)

at com.apple.laf.ScreenMenultem.actionPerformed(ScreenMenultem.java:95)

at java.awt.Menultem.processActionEvent(Menultem.java:627)

at java.awt.Menultem.processEvent(Menultem.java:586)

at java.awt.MenuComponent.dispatchEventimpl(MenuComponent.java:337)

at java.awt.MenuComponent.dispatchEvent(MenuComponent.java:325)

at java.awt.EventQueue.dispatchEventimpl(EventQueue.java:682)

at java.awt.EventQueue.access$000(EventQueue.java:85)

at java.awt.EventQueue$1.run(EventQueue.java:638)

at java.awt.EventQueue$1.run(EventQueue.java:636)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolntersectionPrivilege(AccessControlContext.java:87)
at java.security.AccessControlContext$1.dolntersectionPrivilege(AccessControlContext.java:98)
at java.awt.EventQueue$2.run(EventQueue.java:652)

at java.awt.EventQueue$2.run(EventQueue.java:650)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolntersectionPrivilege(AccessControlContext.java:87)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:649)

at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296)

at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)

at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201)

at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196)

at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188)

at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

History

#1 - 08/02/2011 04:25 PM - Christopher Brooks

To replicate this.

1) Start kepler with "ant run"
2) Do View -> XML View

| fixed this.

Line 281 of ptolemy.actor.gui.TextEditorTableau was:
textEffigy.identifier.setExpression(url.toExternalForm());

| introduced this line with this change:
r61023 | cxh | 2011-05-23 20:24:39 -0700 (Mon, 23 May 2011) | 4 lines

Set the identifier so that if we start vergil and
do File -> New —> Text Editor, type some text, Save
then the title changes from Unnames to the name of the file.

| changed this to
if (url = null) {
textEffigy.identifier.setExpression(url.toExternalForm());

}

The bug no longer occurs for me within Kepler with the Ptolemy head.

#2 - 03/27/2013 02:30 PM - Redmine Admin
Original Bugzilla ID was 5446
